Skip to navigation

Create Page (deprecated)

Deprecated

Creates a Page. The request payload limit is 1MB.

Required Fields

  • type
  • name
  • link (for a page of type: link)
  • body (for a page of type: raw)

Read Only Fields

  • id

Content Type

The default value for content_type is text/html; however, if page_type is set to raw, content_type can be changed to text/javascript or application/json. Updating this field lets you place a JavaScript or a JSON file in the root directory.

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To create one or more pages, use Pages V3ʼs Create pages endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
namestringRequired
Page name, as displayed on the storefront.
bodystringRequired

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

typeenumRequired

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
channel_iddoubleOptional
channel ID
meta_titlestringOptional

Text specified for this page’s <title> element. If empty, the value of the name property is used.

is_visiblebooleanOptional

If true, this page appears in the storefront’s navigation menu.

parent_idintegerOptional
ID of any parent Web page.
sort_orderintegerOptional

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

meta_keywordsstringOptional

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_descriptionstringOptional

Description contained within this page’s <meta/> element.

is_homepagebooleanOptional

If true, this page is the storefront’s home page.

is_customers_onlybooleanOptional
If true, this page is for customers only.
search_keywordsstringOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

has_mobile_versionbooleanOptional

If true, this page has a mobile version. (For Blueprint themes only)

mobile_bodystringOptional

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint themes only).

contact_fieldsstringOptional

Where the page’s type is a contact form: object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname: full name of the customer submitting the form; phone: customer’s phone number, as submitted on the form; companyname: customer’s submitted company name; orderno: customer’s submitted order number; rma: customer’s submitted RMA (Return Merchandise Authorization) number.

emailstringOptional

Where the page’s type is a contact form, the email address that receives messages sent using the form.

urlstringOptional
Relative URL on the storefront for this page.
layout_filestringOptional
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
content_typeenumOptional
Allowed values:

Response

OK
bodystringOptional

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

channel_iddoubleOptional
Channel ID.
contact_fieldsstringOptional

Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:fullname - full name of the customer submitting the form; phone - customer’s phone number, as submitted on the form; companyname- customer’s submitted company name; orderno- customer’s submitted order number; rma - customer’s submitted RMA (Return Merchandise Authorization) number.

content_typeenumOptional
Allowed values:
emailstringOptional

Where the page’s type is a contact form, the email address that receives messages sent using the form.

has_mobile_versionbooleanOptional

If true, this page has a mobile version. (For Blueprint themes only)

idintegerOptionalRead-only

ID of the page. Read-Only.

is_customers_onlybooleanOptional
If true, this page is for customers only.
is_homepagebooleanOptional

If true, this page is the storefront’s home page.

is_visiblebooleanOptional
If true, this page appears in the storefront navigation menu.
layout_filestringOptional
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
meta_descriptionstringOptional

Description contained within this page’s <meta/> element. HTML to use for this page’s body when viewed in the mobile template.

meta_keywordsstringOptional

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_titlestringOptional

Text specified for this page’s <title> element. If empty, the value of the name property is used.

mobile_bodystringOptional

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).

namestringOptional
Page name, as displayed on the storefront.
parent_idintegerOptional
ID of any parent Web page.
search_keywordsstringOptional

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

sort_orderintegerOptional

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

typeenumOptional

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
urlstringOptional
Relative URL on the storefront for this page.